Summary: Uncompressor for .arj format archive files
Name: unarj
Version: 2.65
Release: 1
Group: Archiving/Compression
License: distributable
Packager: Michael Perzl <michael@perzl.org>
Source0: http://www.ibiblio.org/pub/Linux/utils/compress/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}-time.diff
Patch2: %{name}-%{version}-overflow.diff
Patch3: %{name}-%{version}-path.diff
Patch4: %{name}-%{version}-notice.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The UNARJ program is used to uncompress .arj format archives.
The .arj format archive was mostly used on DOS machines.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4


%build
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp unarj ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc *.txt
%{_bindir}/*
/usr/bin/*


%changelog
* Tue Jul 01 2008 Michael Perzl <michael@perzl.org> - 2.65-1
- first version for AIX V5.1 and higher
